Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface GroovyResourceLoader

    public interface GroovyResourceLoader

Allows frameworks that integrate with Groovy to determine how Groovy files are resolved.

Author:
  Steven Devijver

Method Summary
`URL` | `loadGroovySource(String filename)` Loads a Groovy source file given its name.

Method Detail

### loadGroovySource

    URL loadGroovySource(String filename)
                         throws MalformedURLException

  Loads a Groovy source file given its name.

  Parameters:
    `filename` - name of the file
  Returns:
    a URL
  Throws:
    `MalformedURLException` - if the URL is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD